<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">

<xsl:template match="/">
   <html xmlns="http://www.w3.org/TR/xhtml1/strict">
      <head>
         <title>DNA sequences</title>
      </head>
      <body  background="bg.gif">
         <xsl:apply-templates select="data/population" />
         <p/>
         <hr width="80%" align="left"></hr>
         <xsl:apply-templates select="data/author" />
      </body>
   </html>
</xsl:template>

<xsl:template match="population">
        <DIV style="margin-left: 5pt;
         font-family: Times New Roman;
         font-size: 12pt;
         color: blue;
         font-weight: 500;
         margin-bottom: 10pt;
         text-align: left;
         line-height: 12pt;
         text-indent: 0pt;" >
            <SPAN>
               <xsl:value-of select="./@name"/>
            </SPAN>
         </DIV>
        <xsl:apply-templates select="seq" />
</xsl:template>

<xsl:template match="seq">
        <DIV style="margin-left: 15pt;
         font-family: Times New Roman;
         font-size: 10pt;
         color: red;
         font-weight: 500;
         margin-bottom: 5pt;
         text-align: left;
         line-height: 12pt;
         text-indent: 0pt;" >
            <DIV>
               <SPAN>
                  <xsl:value-of select="./@name"/>
               </SPAN>
            </DIV>
         </DIV>
        <DIV style="margin-left: 20pt;
         font-family: Times New Roman;
         font-size: 10pt;
         font-weight: 500;
         margin-bottom: 2pt;
         text-align: left;
         line-height: 12pt;
         text-indent: 0pt;" >
            <DIV>
               <SPAN>
                   <xsl:value-of select="."/>
               </SPAN>
            </DIV>
         </DIV>
        <DIV style="margin-left: 25pt;
         font-family: Times New Roman;
         font-size: 8pt;
         font-weight: 500;
         margin-bottom: 2pt;
         text-align: left;
         line-height: 12pt;
         text-indent: 0pt;" >
            <DIV>
               <SPAN>
                   <xsl:value-of select="./@notation"/>
               </SPAN>
            </DIV>
         </DIV>
</xsl:template>

<xsl:template match="author">
        <DIV style="margin-left: 5pt;
         font-family: Times New Roman;
         font-style: Italic;
         font-size: 10pt;
         font-weight: 500;
         margin-bottom: 5pt;
         text-align: left;
         line-height: 12pt;
         text-indent: 0pt;" >
            <DIV>
               <SPAN>
                  Author: <xsl:value-of select="name"/>
               </SPAN>
            </DIV>
            <DIV>
               <SPAN>
                  Address: <xsl:value-of select="address"/>
               </SPAN>
            </DIV>
            <DIV>
               <SPAN>
                  E-mail: <xsl:value-of select="e-mail"/>
               </SPAN>
            </DIV>
         </DIV>
</xsl:template>

</xsl:stylesheet>
